org.richfaces.component

## Enum LayoutPosition

- java.lang.Object
- - java.lang.Enum<LayoutPosition>
  - - org.richfaces.component.LayoutPosition

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<LayoutPosition>

      public enum LayoutPosition
      extends java.lang.Enum<LayoutPosition>

  Author:
    asmirnov

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `bottom`
    `center`
    `left`
    `right`
    `top`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LayoutPosition` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LayoutPosition[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### center

          public static final LayoutPosition center

    - #### left

          public static final LayoutPosition left

    - #### right

          public static final LayoutPosition right

    - #### top

          public static final LayoutPosition top

    - #### bottom

          public static final LayoutPosition bottom

  - ### Method Detail

    - #### values

          public static LayoutPosition[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LayoutPosition c : LayoutPosition.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LayoutPosition valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.